2024-07-18 00:04 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002896LeisureSuitLarry3[All Projects] Generalpublic2016-06-25 23:41
ReporterYulquen74 
Assigned ToJOTDProject InfoLeisure Suit Larry 3 (Sierra)
http://www.whdload.de/games/LeisureSuitLarry3.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0002896: (BTTR) when trying to save inside the game, WHDload exits back with access fault
DescriptionGameVersion: english,pal,5 disks
SlaveVersion: 1.3-B from 2010-07-27

Dowloaded installer at whdload page, and images from back to roots, and installed in the normal fashion using floppies.
the game loads fine, but when trying to save inside the game, WHDload
exits back to WB displaying an error requester that goes like this:
Exception Address Error ($800C)
PC=$D32364 (Slave $EBC)
Word Write In $B70445 (Expmem $58445)
Same happens either game is launched directly from WB, from igame, or tinylauncher.
Using an A590 with GuruROM, 32GB SSD IDE and acard IDE2SCSI adapter.
Partitions are PFS3 formatted, but also fails if ran from FFS partition.
Tried removing my FAST RAM expansion and putting 2MB fast mem back to A590,
game still fails. Also tried poking with a few whdload global prefs
paramters without any luck.
Thanks in advance for any help.
On plain 68000, I instead get a WB1.3 "Software error - task held" error requester.
TagsNo tags attached.
MachineA500
CPU68010
CPUSpeed7
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem12 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad17.2
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0005009

JOTD (developer)

Must be a 68000/68010 odd word read problem. investigating.

note ~0005010

JOTD (developer)

affects other sierra fixes like LSL2 and some others... Will fix when I find them.
+Notes

-Issue History
Date Modified Username Field Change
2013-12-14 21:07 administrator New Issue
2013-12-14 21:07 administrator Status new => assigned
2013-12-14 21:07 administrator Assigned To => JOTD
2014-05-07 15:56 JOTD Summary Dowloaded installer at whdload page, and images from back to roots, and => (BTTR) when trying to save inside the game, WHDload exits back with access fault
2014-05-07 15:56 JOTD Description Updated View Revisions
2014-05-07 15:56 JOTD Status assigned => acknowledged
2016-06-25 15:22 JOTD Note Added: 0005009
2016-06-25 23:41 JOTD Note Added: 0005010
2016-06-25 23:41 JOTD Status acknowledged => closed
2016-06-25 23:41 JOTD Resolution open => fixed
+Issue History